catalog:
  title: Kognichef Frontend

templates:
- freestyle
- base

variables:
  keywords:
  - js
  - javascript
  - kognihome
  - web
  - html
  - kognichef
  access: private

  repository: https://synergy.cit-ec.de/git/kognihome-tp1.kognichef-frontend.git
  scm.credentials: synergy.cit-ec
  git.wipe-out-workspace?: false
  git.clean-before-checkout?: false
  branches:
  - master
  - '0.2'
  - dev_frontend2016_miele
  - '0.4'
  - csra

  extra-requires:
  - nature: setuptools
    target: crossbar

  shell.environment:
  - prefix="${toolkit.dir}"
  - INSTALL_PREFIX="${toolkit.dir}"
  - QUIET=FALSE
  - DEBUG=FALSE
  - '@{next-value|[]}'

  shell.command: |
    ${next-value}
    if [ -d "$prefix/var/www/kogniserver/proto" ]; then rm -r $prefix/var/www/kogniserver/proto; fi
    mkdir -p $prefix/var/www/kogniserver/proto
    cp -r $prefix/share/rst0.17/proto/stable/rst $prefix/var/www/kogniserver/proto/
    cp -r $prefix/share/rst0.17/proto/sandbox/rst $prefix/var/www/kogniserver/proto/
    cp -r $prefix/share/rst_experimental0.17/proto/experimental/rst $prefix/var/www/kogniserver/proto/
    npm install
    npm update kognijs kognijs-animate kognijs-rsb
    node node_modules/bower/bin/bower install --config.interactive=false
    node node_modules/gulp/bin/gulp.js install --env=devel --path=$prefix/var/www/kogniserver
